# GstVulkanVideoFilter

GstVulkanVideoFilter is a helper base class for retrieving and holding the GstVulkanInstance, GstVulkanDevice and GstVulkanQueue used by an element.

## GstVulkanVideoFilter

    GObject
        ╰──GInitiallyUnowned
            ╰──GstObject
                ╰──GstElement
                    ╰──GstBaseTransform
                        ╰──GstVulkanVideoFilter

### Members

`parent` (GstBaseTransform) –

the parent GstBaseTransform

`instance` (GstVulkanInstance *) –

the configured GstVulkanInstance

`device` (GstVulkanDevice *) –

the configured GstVulkanDevice

`queue` (GstVulkanQueue *) –

the configured GstVulkanQueue

`in_caps` (GstCaps *) –

the configured input GstCaps

`in_info` (GstVideoInfo) –

the configured input GstVideoInfo

`out_caps` (GstCaps *) –

the configured output GstCaps

`out_info` (GstVideoInfo) –

the configured output GstVideoInfo

Since : 1.18

### Class structure

#### GstVulkanVideoFilterClass

##### Fields

`parent_class` (GstBaseTransformClass) –

the parent GstBaseTransformClass

Since : 1.18

### GstVulkan.VulkanVideoFilterClass

##### Attributes

`parent_class` (GstBase.BaseTransformClass) –

the parent GstBase.BaseTransformClass

Since : 1.18

### GstVulkan.VulkanVideoFilterClass

##### Attributes

`parent_class` (GstBase.BaseTransformClass) –

the parent GstBase.BaseTransformClass

Since : 1.18

## GstVulkan.VulkanVideoFilter

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstBase.BaseTransform
                        ╰──GstVulkan.VulkanVideoFilter

### Members

`parent` (GstBase.BaseTransform) –

the parent GstBase.BaseTransform

`instance` (GstVulkan.VulkanInstance) –

the configured GstVulkan.VulkanInstance

`device` (GstVulkan.VulkanDevice) –

the configured GstVulkan.VulkanDevice

`queue` (GstVulkan.VulkanQueue) –

the configured GstVulkan.VulkanQueue

`in_caps` (Gst.Caps) –

the configured input Gst.Caps

`in_info` (GstVideo.VideoInfo) –

the configured input GstVideo.VideoInfo

`out_caps` (Gst.Caps) –

the configured output Gst.Caps

`out_info` (GstVideo.VideoInfo) –

the configured output GstVideo.VideoInfo

Since : 1.18

## GstVulkan.VulkanVideoFilter

    GObject.Object
        ╰──GObject.InitiallyUnowned
            ╰──Gst.Object
                ╰──Gst.Element
                    ╰──GstBase.BaseTransform
                        ╰──GstVulkan.VulkanVideoFilter

### Members

`parent` (GstBase.BaseTransform) –

the parent GstBase.BaseTransform

`instance` (GstVulkan.VulkanInstance) –

the configured GstVulkan.VulkanInstance

`device` (GstVulkan.VulkanDevice) –

the configured GstVulkan.VulkanDevice

`queue` (GstVulkan.VulkanQueue) –

the configured GstVulkan.VulkanQueue

`in_caps` (Gst.Caps) –

the configured input Gst.Caps

`in_info` (GstVideo.VideoInfo) –

the configured input GstVideo.VideoInfo

`out_caps` (Gst.Caps) –

the configured output Gst.Caps

`out_info` (GstVideo.VideoInfo) –

the configured output GstVideo.VideoInfo

Since : 1.18

### Methods

#### gst_vulkan_video_filter_get_device

    GstVulkanDevice *
    gst_vulkan_video_filter_get_device (GstVulkanVideoFilter * filter)

Parameters:

`filter` –

a GstVulkanVideoFilter

Returns ( [transfer: full][nullable]) –

The currently configured GstVulkanDevice

Since : 1.26

#### GstVulkan.VulkanVideoFilter.prototype.get_device

    function GstVulkan.VulkanVideoFilter.prototype.get_device(): {
        // javascript wrapper for 'gst_vulkan_video_filter_get_device'
    }

Parameters:

`filter` (GstVulkan.VulkanVideoFilter) –

a GstVulkan.VulkanVideoFilter

Returns (GstVulkan.VulkanDevice) –

The currently configured GstVulkan.VulkanDevice

Since : 1.26

#### GstVulkan.VulkanVideoFilter.get_device

    def GstVulkan.VulkanVideoFilter.get_device (self):
        #python wrapper for 'gst_vulkan_video_filter_get_device'

Parameters:

`filter` (GstVulkan.VulkanVideoFilter) –

a GstVulkan.VulkanVideoFilter

Returns (GstVulkan.VulkanDevice) –

The currently configured GstVulkan.VulkanDevice

Since : 1.26

#### gst_vulkan_video_filter_get_instance

    GstVulkanInstance *
    gst_vulkan_video_filter_get_instance (GstVulkanVideoFilter * filter)

Parameters:

`filter` –

a GstVulkanVideoFilter

Returns ( [transfer: full][nullable]) –

The currently configured GstVulkanInstance

Since : 1.26

#### GstVulkan.VulkanVideoFilter.prototype.get_instance

    function GstVulkan.VulkanVideoFilter.prototype.get_instance(): {
        // javascript wrapper for 'gst_vulkan_video_filter_get_instance'
    }

Parameters:

`filter` (GstVulkan.VulkanVideoFilter) –

a GstVulkan.VulkanVideoFilter

Returns (GstVulkan.VulkanInstance) –

The currently configured GstVulkan.VulkanInstance

Since : 1.26

#### GstVulkan.VulkanVideoFilter.get_instance

    def GstVulkan.VulkanVideoFilter.get_instance (self):
        #python wrapper for 'gst_vulkan_video_filter_get_instance'

Parameters:

`filter` (GstVulkan.VulkanVideoFilter) –

a GstVulkan.VulkanVideoFilter

Returns (GstVulkan.VulkanInstance) –

The currently configured GstVulkan.VulkanInstance

Since : 1.26

#### gst_vulkan_video_filter_get_queue

    GstVulkanQueue *
    gst_vulkan_video_filter_get_queue (GstVulkanVideoFilter * filter)

Parameters:

`filter` –

a GstVulkanVideoFilter

Returns ( [transfer: full][nullable]) –

The currently configured GstVulkanQueue

Since : 1.26

#### GstVulkan.VulkanVideoFilter.prototype.get_queue

    function GstVulkan.VulkanVideoFilter.prototype.get_queue(): {
        // javascript wrapper for 'gst_vulkan_video_filter_get_queue'
    }

Parameters:

`filter` (GstVulkan.VulkanVideoFilter) –

a GstVulkan.VulkanVideoFilter

Returns (GstVulkan.VulkanQueue) –

The currently configured GstVulkan.VulkanQueue

Since : 1.26

#### GstVulkan.VulkanVideoFilter.get_queue

    def GstVulkan.VulkanVideoFilter.get_queue (self):
        #python wrapper for 'gst_vulkan_video_filter_get_queue'

Parameters:

`filter` (GstVulkan.VulkanVideoFilter) –

a GstVulkan.VulkanVideoFilter

Returns (GstVulkan.VulkanQueue) –

The currently configured GstVulkan.VulkanQueue

Since : 1.26

The results of the search are